<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:47 CET 2016 -->
<title>ClassicWindowView (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ClassicWindowView (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicView.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassNamesConstants.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/client/application/gui/ClassicWindowView.html" target="_top">Frames</a></li>
<li><a href="ClassicWindowView.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.modules.client.application.gui</div>
<h2 title="Class ClassicWindowView" class="title">Class ClassicWindowView</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/View.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">com.openbravo.test.integration.erp.modules.client.application.gui.View</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicView.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">com.openbravo.test.integration.erp.modules.client.application.gui.ClassicView</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.modules.client.application.gui.ClassicWindowView</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/productsetup/attributeset/classic/AttributeSetWindow.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.productsetup.attributeset.classic">AttributeSetWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/businesspartnersetup/businesspartnercategory/classic/BusinessPartnerCategoryWindow.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.businesspartnersetup.businesspartnercategory.classic">BusinessPartnerCategoryWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/accounting/setup/businesspartnertaxcategory/classic/BusinessPartnerTaxCategoryWindow.html" title="class in com.openbravo.test.integration.erp.gui.financial.accounting.setup.businesspartnertaxcategory.classic">BusinessPartnerTaxCategoryWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/businesspartner/classic/BusinessPartnerWindow.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.businesspartner.classic">BusinessPartnerWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/transactions/financialaccount/classic/FinancialAccountWindow.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.transactions.financialaccount.classic">FinancialAccountWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/accounting/setup/fiscalcalendar/classic/FiscalCalendarWindow.html" title="class in com.openbravo.test.integration.erp.gui.financial.accounting.setup.fiscalcalendar.classic">FiscalCalendarWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/accounting/setup/generalledgerconfiguration/classic/GeneralLedgerConfigurationWindow.html" title="class in com.openbravo.test.integration.erp.gui.financial.accounting.setup.generalledgerconfiguration.classic">GeneralLedgerConfigurationWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/general/application/heartbeatconfiguration/classic/HeartbeatConfigurationWindow.html" title="class in com.openbravo.test.integration.erp.gui.general.application.heartbeatconfiguration.classic">HeartbeatConfigurationWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/businesspartnersetup/invoiceschedule/classic/InvoiceScheduleWindow.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.businesspartnersetup.invoiceschedule.classic">InvoiceScheduleWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/general/application/modulemanagement/ModuleManagementWindow.html" title="class in com.openbravo.test.integration.erp.gui.general.application.modulemanagement">ModuleManagementWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/accounting/transactions/opencloseperiodcontrol/classic/OpenClosePeriodControlWindow.html" title="class in com.openbravo.test.integration.erp.gui.financial.accounting.transactions.opencloseperiodcontrol.classic">OpenClosePeriodControlWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/general/enterprise/organization/classic/OrganizationWindow.html" title="class in com.openbravo.test.integration.erp.gui.general.enterprise.organization.classic">OrganizationWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/receivablespayables/setup/paymentmethod/classic/PaymentMethodWindow.html" title="class in com.openbravo.test.integration.erp.gui.financial.receivablespayables.setup.paymentmethod.classic">PaymentMethodWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/businesspartnersetup/paymentterm/classic/PaymentTermWindow.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.businesspartnersetup.paymentterm.classic">PaymentTermWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/warehouse/transactions/physicalinventory/classic/PhysicalInventoryWindow.html" title="class in com.openbravo.test.integration.erp.gui.warehouse.transactions.physicalinventory.classic">PhysicalInventoryWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/pricing/pricelistschema/classic/PriceListSchemaWindow.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.pricing.pricelistschema.classic">PriceListSchemaWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/pricing/pricelist/classic/PriceListWindow.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.pricing.pricelist.classic">PriceListWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/productsetup/productcategory/classic/ProductCategoryWindow.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.productsetup.productcategory.classic">ProductCategoryWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/product/classic/ProductWindow.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.product.classic">ProductWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/general/security/role/classic/RoleWindow.html" title="class in com.openbravo.test.integration.erp.gui.general.security.role.classic">RoleWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/accounting/setup/taxcategory/classic/TaxCategoryWindow.html" title="class in com.openbravo.test.integration.erp.gui.financial.accounting.setup.taxcategory.classic">TaxCategoryWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/financial/accounting/setup/taxrate/classic/TaxRateWindow.html" title="class in com.openbravo.test.integration.erp.gui.financial.accounting.setup.taxrate.classic">TaxRateWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/masterdata/productsetup/unitofmeasure/classic/UnitOfMeasureWindow.html" title="class in com.openbravo.test.integration.erp.gui.masterdata.productsetup.unitofmeasure.classic">UnitOfMeasureWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/general/security/user/classic/UserWindow.html" title="class in com.openbravo.test.integration.erp.gui.general.security.user.classic">UserWindow</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/warehouse/setup/warehouseandstoragebins/classic/WarehouseAndStorageBinsWindow.html" title="class in com.openbravo.test.integration.erp.gui.warehouse.setup.warehouseandstoragebins.classic">WarehouseAndStorageBinsWindow</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="typeNameLabel">ClassicWindowView</span>
extends <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicView.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">ClassicView</a></pre>
<div class="block">Executes and verify actions on an OpenbravoERP classic window view.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>elopio</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html" title="class in com.openbravo.test.integration.erp.gui.tabs">Tab</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicWindowView.html#currentTab">currentTab</a></span></code>
<div class="block">The currently selected tab.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.openbravo.test.integration.erp.modules.client.application.gui.ClassicView">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.openbravo.test.integration.erp.modules.client.application.gui.<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicView.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">ClassicView</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicView.html#BUTTON_BACK">BUTTON_BACK</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicView.html#BUTTON_REFRESH">BUTTON_REFRESH</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicView.html#FRAME_APPLICATION">FRAME_APPLICATION</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicWindowView.html#ClassicWindowView-java.lang.String-">ClassicWindowView</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;title)</code>
<div class="block">Class constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicWindowView.html#ClassicWindowView-java.lang.String-java.lang.String...-">ClassicWindowView</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;title,
                 <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;menuPath)</code>
<div class="block">Class constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicWindowView.html#addTab-com.openbravo.test.integration.erp.gui.tabs.Tab-">addTab</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html" title="class in com.openbravo.test.integration.erp.gui.tabs">Tab</a>&nbsp;tab)</code>
<div class="block">Add a top level tab.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html" title="class in com.openbravo.test.integration.erp.gui.tabs">Tab</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicWindowView.html#getCurrentTab--">getCurrentTab</a></span>()</code>
<div class="block">Get the current tab of the window.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html" title="class in com.openbravo.test.integration.erp.gui.tabs">Tab</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicWindowView.html#selectTab-java.lang.String-">selectTab</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;title)</code>
<div class="block">Select a tab on the window.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicWindowView.html#setCurrentTab-com.openbravo.test.integration.erp.gui.tabs.Tab-">setCurrentTab</a></span>(<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html" title="class in com.openbravo.test.integration.erp.gui.tabs">Tab</a>&nbsp;tab)</code>
<div class="block">Set the currently open tab.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.openbravo.test.integration.erp.modules.client.application.gui.ClassicView">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.openbravo.test.integration.erp.modules.client.application.gui.<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicView.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">ClassicView</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicView.html#clickBack--">clickBack</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicView.html#clickRefresh--">clickRefresh</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicView.html#getCurrentTabText--">getCurrentTabText</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicView.html#load--">load</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicView.html#verifyProcessCompletedSuccessfully--">verifyProcessCompletedSuccessfully</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicView.html#verifyProcessCompletedSuccessfully-java.lang.String-">verifyProcessCompletedSuccessfully</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicView.html#verifyProcessCompletedSuccessfully2--">verifyProcessCompletedSuccessfully2</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicView.html#waitForFrame--">waitForFrame</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicView.html#waitUntilViewIsVisible--">waitUntilViewIsVisible</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.openbravo.test.integration.erp.modules.client.application.gui.View">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.openbravo.test.integration.erp.modules.client.application.gui.<a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/View.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui">View</a></h3>
<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/View.html#getMenuPath--">getMenuPath</a>, <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/View.html#getTitle--">getTitle</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="currentTab">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>currentTab</h4>
<pre>protected&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html" title="class in com.openbravo.test.integration.erp.gui.tabs">Tab</a> currentTab</pre>
<div class="block">The currently selected tab.</div>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ClassicWindowView-java.lang.String-java.lang.String...-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ClassicWindowView</h4>
<pre>public&nbsp;ClassicWindowView(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;title,
                         <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>...&nbsp;menuPath)</pre>
<div class="block">Class constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>title</code> - The title of the view.</dd>
<dd><code>menuPath</code> - The path to open the view from the menu.</dd>
</dl>
</li>
</ul>
<a name="ClassicWindowView-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ClassicWindowView</h4>
<pre>public&nbsp;ClassicWindowView(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;title)</pre>
<div class="block">Class constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>title</code> - The title of the view.</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getCurrentTab--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentTab</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html" title="class in com.openbravo.test.integration.erp.gui.tabs">Tab</a>&nbsp;getCurrentTab()</pre>
<div class="block">Get the current tab of the window.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the current tab of the window.</dd>
</dl>
</li>
</ul>
<a name="addTab-com.openbravo.test.integration.erp.gui.tabs.Tab-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addTab</h4>
<pre>protected&nbsp;void&nbsp;addTab(<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html" title="class in com.openbravo.test.integration.erp.gui.tabs">Tab</a>&nbsp;tab)</pre>
<div class="block">Add a top level tab.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tab</code> - The tab to add.</dd>
</dl>
</li>
</ul>
<a name="setCurrentTab-com.openbravo.test.integration.erp.gui.tabs.Tab-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setCurrentTab</h4>
<pre>protected&nbsp;void&nbsp;setCurrentTab(<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html" title="class in com.openbravo.test.integration.erp.gui.tabs">Tab</a>&nbsp;tab)</pre>
<div class="block">Set the currently open tab.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tab</code> - The currently open tab.</dd>
</dl>
</li>
</ul>
<a name="selectTab-java.lang.String-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>selectTab</h4>
<pre>public&nbsp;<a href="../../../../../../../../../com/openbravo/test/integration/erp/gui/tabs/Tab.html" title="class in com.openbravo.test.integration.erp.gui.tabs">Tab</a>&nbsp;selectTab(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;title)</pre>
<div class="block">Select a tab on the window.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>title</code> - The title of the tab.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The selected tab.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassicView.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/client/application/gui/ClassNamesConstants.html" title="class in com.openbravo.test.integration.erp.modules.client.application.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/client/application/gui/ClassicWindowView.html" target="_top">Frames</a></li>
<li><a href="ClassicWindowView.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
